Summary:	RAW-image converter written using GTK+
Summary(pl.UTF-8):	Konwerter obrazów RAW napisany z użyciem GTK+
Name:		rawstudio
Version:	2.0
Release:	16
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	https://rawstudio.org/files/release/%{name}-%{version}.tar.gz
# Source0-md5:	b2f86b8ca6b83ad954e3104c4cb89e9b
Patch0:		%{name}-libpng15.patch
Patch1:		am.patch
Patch2:		lensfun.patch
Patch3:		exiv2-version.patch
Patch4:		%{name}-exiv2.patch
Patch5:		%{name}-extern-c.patch
Patch6:		%{name}-link.patch
URL:		https://rawstudio.org/
BuildRequires:	GConf2-devel >= 2.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	dbus-devel
BuildRequires:	exiv2-devel
BuildRequires:	fftw3-single-devel >= 3
BuildRequires:	flickcurl-devel
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	lcms-devel
BuildRequires:	lensfun-devel
BuildRequires:	libgphoto2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxml2-devel >= 2.4
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	xorg-lib-libX11-devel
Requires:	gtk+2 >= 2:2.8.0
Requires:	libxml2 >= 2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rawstudio is an open source raw-image converter written using GTK+
library.

%description -l pl.UTF-8
Rawstudio to mający otwarte źródła konwerter obrazów RAW napisany z
użyciem biblioteki GTK+.

%package devel
Summary:	Header files for rawstudio library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki rawstudio
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for rawstudio library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki rawstudio.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
export CXXFLAGS="%{rpmcxxflags} -Wno-narrowing"
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/librawstudio-%{version}.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/rawstudio
%attr(755,root,root) %{_libdir}/librawstudio-%{version}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librawstudio-%{version}.so.0
%{_datadir}/rawspeed
%{_datadir}/rawstudio
%{_desktopdir}/rawstudio.desktop
%{_iconsdir}/rawstudio.png
%{_pixmapsdir}/rawstudio

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librawstudio-%{version}.so
%{_includedir}/%{name}-%{version}
%{_pkgconfigdir}/%{name}-%{version}.pc
%changelog
* Fri Jul 28 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rawstudio.git;a=log;h=master

* Fri Jul 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 8287856
- cleanup, added patches for exiv2 0.28, proper usage of extern "C", glib linking; release 16

* Fri Jul 28 2023 Jakub Bogusz <qboosh@pld-linux.org> b875e24
- BR: libstdc++-devel; zstd is only indirect dependency (via curl)

* Fri Jul 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 8250bd0
- pl for -devel

* Mon Feb 11 2019 Jan Rękorajski <baggins@pld-linux.org> 6747a28
- fix exiv2 version detection
- rel 15

* Sun Oct 01 2017 Jan Rękorajski <baggins@pld-linux.org> 0ece842
- fix building with gcc 7
- rel 14

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> f054dec
- rebuild with exiv2 0.26
- release 13 (by relup.sh)

* Sat Sep 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 77546c1
- release 12 (exiv 2 rebuild)

* Sat Dec 05 2015 Jan Rękorajski <baggins@pld-linux.org> cdd0637
- release 11 (by relup.sh)

* Mon Jul 20 2015 Jan Rękorajski <baggins@pld-linux.org> 6f471d0
- fix building with new lensfun with CCI support removed
- rel 10

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 74a1a10
- updated gettext BR

* Mon Apr 14 2014 Jan Rękorajski <baggins@pld-linux.org> ba45d36
- release 9 (by relup.sh)

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 94aef1a
- release 8 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 744e924
- release 7 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 5e4479d
- fix building with automake 1.13
- fix autotools regen
- rel 6

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> 8ba9293
- release 5 (by relup.sh)

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> fb6e475
- new

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> 48563a5
- release 4 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 06036dd
- release 4

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c8a61c9
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 10f3319
- release 2

